<?php
/**
 * @package    FFGate
 * @author     Yves Hoppe <yves@compojoom.com>
 * @date       26.11.13
 *
 * @copyright  Copyright (C) 2008 - 2013 compojoom.com - Yves Hoppe. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 * @since      1.0.0
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

// ACL Check
if (!JFactory::getUser()->authorise('core.manage', 'com_ffgate'))
{
	return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

$input = JFactory::getApplication()->input;

JLoader::register('FFGateHelperSettings', JPATH_COMPONENT_ADMINISTRATOR . '/helpers/settings.php');
JLoader::register('FFGateHelperBasic', JPATH_COMPONENT_ADMINISTRATOR . '/helpers/basic.php');

JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR . '/tables');

// Toolbar
require_once JPATH_COMPONENT_ADMINISTRATOR . "/toolbar.ffgate.php";

$jlang = JFactory::getLanguage();
$jlang->load('com_ffgate', JPATH_SITE, 'en-GB', true);
$jlang->load('com_ffgate', JPATH_SITE, $jlang->getDefault(), true);
$jlang->load('com_ffgate', JPATH_SITE, null, true);
$jlang->load('com_ffgate', JPATH_ADMINISTRATOR, 'en-GB', true);
$jlang->load('com_ffgate', JPATH_ADMINISTRATOR, $jlang->getDefault(), true);
$jlang->load('com_ffgate', JPATH_ADMINISTRATOR, null, true);

if ($input->get('view', '') == 'liveupdate')
{
	require_once JPATH_COMPONENT_ADMINISTRATOR . '/liveupdate/liveupdate.php';
	JToolBarHelper::preferences('com_ffgate');
	LiveUpdate::handleRequest();

	return;
}

if ($input->get('view', '') == 'controlcenter')
{
	require_once JPATH_COMPONENT_ADMINISTRATOR . '/controlcenter/controlcenter.php';
	JToolBarHelper::preferences('com_ffgate');
	CompojoomControlCenter::handleRequest();

	return;
}

if ($input->get('view', '') == 'information')
{
	require_once JPATH_COMPONENT_ADMINISTRATOR . '/controlcenter/controlcenter.php';
	JToolBarHelper::preferences('com_ffgate');
	CompojoomControlCenter::handleRequest('information');

	return;
}


$controller = JControllerLegacy::getInstance('ffgate');
$controller->execute($input->get('task'));
$controller->redirect();
